<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="@dimen/dp_300"
    android:orientation="vertical"
    android:background="@drawable/shape_lt15_rt15_white"
    android:paddingBottom="@dimen/dp_50"
    >

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_30"
        android:layout_marginRight="@dimen/dp_30"
        android:layout_marginTop="@dimen/dp_30"
        android:layout_marginBottom="@dimen/dp_24">

        <TextView
            android:id="@+id/tv_cancel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="取消"
            android:textStyle="bold"
            android:textSize="@dimen/sp_17"
            android:textColor="@color/col_C7C"/>
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="选择年龄"
            android:textColor="@color/col_313"
            android:layout_centerInParent="true"
            android:textSize="@dimen/sp_17"
            android:textStyle="bold"/>

        <TextView
            android:id="@+id/tv_confirm"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="确认"
            android:layout_alignParentEnd="true"
            android:textStyle="bold"
            android:textSize="@dimen/sp_17"
            android:textColor="@color/col_02c"/>
    </RelativeLayout>


    <LinearLayout
        android:id="@+id/timepicker"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@android:color/white"
        android:gravity="center"
        android:minHeight="@dimen/dp_200"
        android:orientation="horizontal">

        <com.contrarywind.view.WheelView
            android:id="@+id/year"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="年"
            android:textSize="@dimen/sp_15"
            android:gravity="center"
            android:textColor="@color/col_C7C"/>

        <com.contrarywind.view.WheelView

            android:id="@+id/month"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1.1" />
        <TextView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="月"
            android:gravity="center"
            android:textSize="@dimen/sp_15"
            android:textColor="@color/col_C7C"/>

        <com.contrarywind.view.WheelView
            android:id="@+id/day"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1.1" />
        <TextView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="日"
            android:gravity="center"
            android:textSize="@dimen/sp_15"
            android:textColor="@color/col_C7C"/>

        <com.contrarywind.view.WheelView
            android:id="@+id/hour"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1.1" />

        <com.contrarywind.view.WheelView
            android:id="@+id/min"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1.1" />

        <com.contrarywind.view.WheelView
            android:id="@+id/second"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1.1" />
    </LinearLayout>

</LinearLayout>